## GogControlFooCanvas

GogControlFooCanvas — Graph in a foocanvas item

## Synopsis

    #define             GOG_CONTROL_FOOCANVAS_TYPE
    #define             GOG_CONTROL_FOOCANVAS               (o)
    #define             IS_GOG_CONTROL_FOOCANVAS            (o)
                        GogControlFooCanvas;
    typedef             GogControlFooCanvasClass;
    GType               gog_control_foocanvas_get_type      (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----FooCanvasItem
                         +----FooCanvasGroup
                               +----GogControlFooCanvas

## Properties

      "h"                        gdouble               : Read / Write
      "model"                    GogObject*            : Write
      "renderer"                 GogRenderer*          : Read / Write
      "w"                        gdouble               : Read / Write

## Description

## Details

### GOG_CONTROL_FOOCANVAS_TYPE

    #define GOG_CONTROL_FOOCANVAS_TYPE	(gog_control_foocanvas_get_type ())

### GOG_CONTROL_FOOCANVAS()

    #define GOG_CONTROL_FOOCANVAS(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_CONTROL_FOOCANVAS_TYPE, GogControlFooCanvas))

`o` : |

### IS_GOG_CONTROL_FOOCANVAS()

    #define IS_GOG_CONTROL_FOOCANVAS(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_CONTROL_FOOCANVAS_TYPE))

`o` : |

### GogControlFooCanvas

    typedef struct _GogControlFooCanvas GogControlFooCanvas;

### GogControlFooCanvasClass

    typedef FooCanvasGroupClass GogControlFooCanvasClass;

### gog_control_foocanvas_get_type ()

    GType               gog_control_foocanvas_get_type      (void);

Returns : |

## Property Details

### The `"h"` property

      "h"                        gdouble               : Read / Write

Height.

Allowed values: >= 0

Default value: 100

### The `"model"` property

      "model"                    GogObject*            : Write

The GogObject this object displays.

### The `"renderer"` property

      "renderer"                 GogRenderer*          : Read / Write

The GogRenderer being displayed.

### The `"w"` property

      "w"                        gdouble               : Read / Write

Width.

Allowed values: >= 0

Default value: 100